<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Class CreateVzdelavaniePouzivatelTestovanieTestyTable
 */
return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vzdelavanie_pouzivatel_testovanie_testy', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('pouzivatel_id');

            $table->string('nazov_kategorie');
            $table->text('nazov')->nullable();
            $table->longText('popis')->nullable();

            $table->foreign('pouzivatel_id')->references('id')->on('pouzivatelia')->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vzdelavanie_pouzivatel_testovanie_testy');
    }
};
